package animation01;

import java.awt.*;
import javax.swing.*;

public class Main01 extends JFrame {
    private static final long serialVersionUID = 8287254997039753758L;

    public static void main(String[] args) {
        SwingUtilities.invokeLater(() -> new Main01(new CardPanel01()));
    }

    private Main01(JComponent comp) {
        JPanel panel = (JPanel) comp;
        setLayout(null);
        panel.setBounds(0, 0, 800, 800);
        setPreferredSize(new Dimension(800, 800));
        int frameHeight = 800;
        int frameWidth = 800;
        setBounds((Toolkit.getDefaultToolkit().getScreenSize().width / 2)
                        - (frameWidth / 2), (Toolkit.getDefaultToolkit()
                        .getScreenSize().height / 2) - (frameHeight / 2), frameWidth,
                frameHeight);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Card Animation");
        //	setResizable(false);
        add(panel);
        setVisible(true);
    }
}
